searchNodes=[{"doc":"Simple API wrapper for spacetraders.ioMost functions in this module require a SpaceMongers.ApiClient instance. More detailed information on which endpoints are available is at https://api.spacetraders.io/All function calls here are automatically rate-limited to avoid overloading the servers and getting your user banned. Right now the rate limiting is quite agressive so expect SpaceMongers to become more efficient in the future.","ref":"SpaceMongers.html","title":"SpaceMongers","type":"module"},{"doc":"Lists available trades for a particular locationGET /game/locations/:location/marketplace","ref":"SpaceMongers.html#available_trades/3","title":"SpaceMongers.available_trades/3","type":"function"},{"doc":"Purchases a particular good at the location where your ship is locatedPOST /users/:username/purchase-orders","ref":"SpaceMongers.html#buy_goods/5","title":"SpaceMongers.buy_goods/5","type":"function"},{"doc":"Purchases a loan of a certain typePOST /users/:username/loans","ref":"SpaceMongers.html#buy_loan/3","title":"SpaceMongers.buy_loan/3","type":"function"},{"doc":"Purchase a ship. Takes a location, and the type of ship.Note that type is different than class. type is like ZA-MK-II while class is like MK-IIPOST /users/:username/ships","ref":"SpaceMongers.html#buy_ship/4","title":"SpaceMongers.buy_ship/4","type":"function"},{"doc":"Claim a username and obtain an auth token which can be used to make an authenticated client.Make sure you save this token as you cannot reobtain it later!POST /users/:username/token","ref":"SpaceMongers.html#claim_username/2","title":"SpaceMongers.claim_username/2","type":"function"},{"doc":"Start a flight plan for a particular ship. Takes a ship_id and a destinationPOST /users/:username/flight-plans","ref":"SpaceMongers.html#create_flight_plan/4","title":"SpaceMongers.create_flight_plan/4","type":"function"},{"doc":"Get the user tied to the provided ApiClientGET /users/:username","ref":"SpaceMongers.html#current_user/2","title":"SpaceMongers.current_user/2","type":"function"},{"doc":"Gets the list of all available loans to purchaseGET /game/loans","ref":"SpaceMongers.html#loans/2","title":"SpaceMongers.loans/2","type":"function"},{"doc":"Gets information about a particular location.GET /game/locations/:symbol","ref":"SpaceMongers.html#location_info/3","title":"SpaceMongers.location_info/3","type":"function"},{"doc":"Gets the locations within a particular system. If system is not passed, it is assumed to be &quot;OE&quot;. Takes an optional parameter for type such as &quot;PLANET&quot; or &quot;ASTEROID&quot;GET /game/systems/:system/locations","ref":"SpaceMongers.html#locations/4","title":"SpaceMongers.locations/4","type":"function"},{"doc":"Gets the list of your loansGET /users/:username/loans","ref":"SpaceMongers.html#my_loans/2","title":"SpaceMongers.my_loans/2","type":"function"},{"doc":"Get the ships tied to the provided ApiClientGET /users/:username/ships","ref":"SpaceMongers.html#my_ships/2","title":"SpaceMongers.my_ships/2","type":"function"},{"doc":"Sells a particular good at the location of your shipPOST /users/:username/sell-orders","ref":"SpaceMongers.html#sell_goods/5","title":"SpaceMongers.sell_goods/5","type":"function"},{"doc":"Shows all available ships for purchase. Takes an optional class parameter.GET /game/ships","ref":"SpaceMongers.html#ships/3","title":"SpaceMongers.ships/3","type":"function"},{"doc":"Get the status of the spacetraders.io serversGET /game/status","ref":"SpaceMongers.html#status/2","title":"SpaceMongers.status/2","type":"function"},{"doc":"Shows all known systems.GET /game/systems","ref":"SpaceMongers.html#systems/2","title":"SpaceMongers.systems/2","type":"function"},{"doc":"Get an existing flight plan via its idGET /users/:username/flight-plans/:id","ref":"SpaceMongers.html#view_flight_plan/3","title":"SpaceMongers.view_flight_plan/3","type":"function"},{"doc":"","ref":"SpaceMongers.html#t:client/0","title":"SpaceMongers.client/0","type":"type"},{"doc":"","ref":"SpaceMongers.html#t:options/0","title":"SpaceMongers.options/0","type":"type"},{"doc":"","ref":"SpaceMongers.html#t:response/0","title":"SpaceMongers.response/0","type":"type"},{"doc":"Authenticated client required by most functions.The type t() is subject to change, so use individual fields at your own risk.","ref":"SpaceMongers.ApiClient.html","title":"SpaceMongers.ApiClient","type":"module"},{"doc":"Creates an ApiClient","ref":"SpaceMongers.ApiClient.html#new/2","title":"SpaceMongers.ApiClient.new/2","type":"function"},{"doc":"","ref":"SpaceMongers.ApiClient.html#t:t/0","title":"SpaceMongers.ApiClient.t/0","type":"opaque"},{"doc":"By default SpaceMongers does some formatting and deserialization, you can access the full response for a particular function by passing the keyword argument include_full_response: true.","ref":"SpaceMongers.FullResponse.html","title":"SpaceMongers.FullResponse","type":"module"},{"doc":"","ref":"SpaceMongers.FullResponse.html#t:t/0","title":"SpaceMongers.FullResponse.t/0","type":"type"},{"doc":"SpaceMongersA Simple API wrapper for https://spacetraders.ioFeatures:Covers all endpointsAutomatic rate limiting to avoid overloading the servers and getting banned","ref":"readme.html","title":"SpaceMongers","type":"extras"},{"doc":"SpaceMongers can be installed by adding space_mongers to your list of dependencies in mix.exs:def deps do [ {:space_mongers, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"SpaceMongers - Installation","type":"extras"},{"doc":"Obtaining a username and tokenFor most requests, you will need an authenticated client which requires you to pass a username and token. You can claim a username and token with the following code:{:ok, %{&quot;user&quot; =&gt; %{&quot;username&quot; =&gt; username}, &quot;token&quot; =&gt; token}} = SpaceMongers.claim_username(&quot;my_username&quot;)Creating a clientYou will need an authenticated client in order to make requests.client = SpaceMongers.ApiClient.new(username, token)Making requestsA variety of requests can be found in the root SpaceMongers module. These all require having an authenticated API client. These requests generally come back in the form of {:ok, response} or {:error, reason}, however you can also pass an option include_full_response: true to any request in order to get the full response in case you have a more advanced use case. If include_full_response is set to true, responses will instead be in the form {:ok, response, full_response} or {:error, reason, full_response}.ExamplesGet the status of the servers:&gt; SpaceMongers.status(client) {:ok, &quot;spacetraders is currently online and available to play&quot;}View your user:&gt; SpaceMongers.current_user(client) {:ok, %{ &quot;credits&quot; =&gt; 7960, &quot;loans&quot; =&gt; [ %{ &quot;due&quot; =&gt; &quot;2021-03-05T17:04:42.271Z&quot;, &quot;id&quot; =&gt; &quot;cklv4cw0x1132868589qrmzz74n&quot;, &quot;repaymentAmount&quot; =&gt; 10725, &quot;status&quot; =&gt; &quot;CURRENT&quot;, &quot;type&quot; =&gt; &quot;STARTUP&quot; } ], &quot;ships&quot; =&gt; [ %{ &quot;cargo&quot; =&gt; [%{&quot;good&quot; =&gt; &quot;FUEL&quot;, &quot;quantity&quot; =&gt; 1}], &quot;class&quot; =&gt; &quot;MK-I&quot;, &quot;id&quot; =&gt; &quot;cklvqz89q562433dn896irsu0wi&quot;, &quot;location&quot; =&gt; &quot;OE-D2&quot;, &quot;manufacturer&quot; =&gt; &quot;Jackshaw&quot;, &quot;maxCargo&quot; =&gt; 100, &quot;plating&quot; =&gt; 5, &quot;spaceAvailable&quot; =&gt; 99, &quot;speed&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;JW-MK-I&quot;, &quot;weapons&quot; =&gt; 5 } ], &quot;username&quot; =&gt; &quot;my_username&quot; }}","ref":"readme.html#usage","title":"SpaceMongers - Usage","type":"extras"},{"doc":"Full docs for SpaceMonger can be found at https://hexdocs.pm/space_mongers.API docs for spacetraders.io can be found at https://api.spacetraders.io","ref":"readme.html#docs","title":"SpaceMongers - Docs","type":"extras"},{"doc":"Please submit any issues you run into via GitHub. Pull Requests are accepted but I would appreciate if you messaged me in discord beforehand to avoid duplicated effort.","ref":"readme.html#contributing","title":"SpaceMongers - Contributing","type":"extras"}]